ee_write:
	;write a byte to the EEPROM (address in Z, data in temp)
	cli
	out	EEAR, ZL
	out	EEDR, temp
	sbi	EECR, EEMPE
	sbi	EECR, EEPE
ee_write_wait:
	sbic	EECR, EEPE
	rjmp	ee_write_wait
	sei
	rjmp	ee_ret
	
;--------------------
	
ee_read:
	;read a byte from the EEPROM (address in Z, returns data in temp)
	cli
	out	EEAR, ZL
	sbi	EECR, EERE
	in	temp, EEDR
	sei
	;(fall through to ee_ret)
;--------------------
ee_ret:
	inc	ZL ;increment address pointer
	ret
